RUST

Доброго дня!

Вот такой момент - у меня 2 компа, на одном установлена 7ка, на другом Kubuntu 12.04 (32).
На втором (с Кубунту) пока тренируюсь, ибо соскакиваю с винды однозначно, у меня есть Steam, правда на компе с 7кой, так вот, игра Rust была мной куплена и установлена на 7ку.
НО!, совсем неожиданно, в стиме, я заметил совместимость данной игры с ОС LINUX.

Вопрос - кто нить юзает данную игру на Кубунту или других версиях ?

0
Chibiko - 25 Март, 2014 - 19:14
Изображение пользователя Chibiko.

Да. Скажу даже больше - работает! Главное чтобы дрова проприетарные были.
Оно ж на Unity3D - что ей будет?

0
ValeryK - 25 Март, 2014 - 19:13

Что за проблема установить стим под кубунту? если стоИт значок пингвина в магазине для игры, значит работает.
Счас только прошел долгожданную Portal 2, покупал по скидке версию для винды, но не ставил в отсутствие оной, стала доступна для скачки и установки как только портировали подл линукс. Так что RUST наверно должен работать.

0
ValeryK - 25 Март, 2014 - 19:21

вон, на офсайте фиксы описывают под линукс, очевидно все работает: We hired the new sky’s creator, André Straubmeier last week and as well as improving the sky for Rust, he’s been making Linux and OSX work properly. So Linux and OSX users should now see the grass being rendered properly and be able to join the game with high graphics settings (which is apparently caused by compiling for 64bit, we’re going to investigate that further).

0
Powered_by_AMD - 25 Март, 2014 - 19:24

Дело вот в чем:
Во первых - комп с Кубунтой не такой мощный как с 7кой.
Во вторых - в описании игры нет требований к линуксу, есть только Мак ОС(тапками не кидать, знаю) и WIN.
А про пингвина молчат)
Ну и на форуме описана некая манипуляция, которую нужно сколдовать - sudo apt-get install libjpeg-turbo8:i386 libcurl3gnutls:i386 libogg0:i386 libpixman-1-0:i386 libsdl1.2debian:i386 libtheora0:i386 libvorbis0a:i386 libvorbisenc2:i386 libvorbisfile3:i386 libasound2:i386 libc6:i386 libgcc1:i386 libstdc++6:i386 libx11-6:i386 libxau6:i386 libxcb1:i386 libxdmcp6:i386

Что это???)))

Нужны ли данные манипуляции для запуска игры?
Йа нуб...

0
ValeryK - 25 Март, 2014 - 19:31

Действительно требования для линукс опущены. А некая манипуляция это установка дополнительных библиотек, может и нужны. И даже если установишь, абсолютно ничего плохого не произойдет,(установка сводится к открытию терминала, копирования туда той хитрой строки и enter, затем отвечаешь пароль и все установится)
Я бы для начала установил стим и игру, а потом уж видно будетт нужны ли эти библиотеки.

+1
DarkneSS - 25 Март, 2014 - 19:51
Изображение пользователя DarkneSS.

Нужны, раз говорят. Попробуйте без них сначала.

0
dyug - 26 Март, 2014 - 11:10

судя по требованиям, она (игра) 32 битная, и требует установки соответствующих библиотек.

Это, как мне кажется, а обычно, когда мне кажется, оно оказывается правдой. :-)

0
Powered_by_AMD - 26 Март, 2014 - 12:58

Игра действительно требует установки пакетов библиотек х32, т.к. второй комп с виндой у меня х64, игра не запускалась, пока я не установил VC именно для х32, при том что у меня установлен был VC х64.

+1
Powered_by_AMD - 25 Март, 2014 - 19:55

Спасибо Други, будем пробовать!

0
Powered_by_AMD - 26 Март, 2014 - 20:06

В общем, решил поставить клиент(игру), который есть в свободном доступе.
Это не стим!, но клиент рабочий 100%, поставил сначала на комп с 7кой, все работает, поигрался на том же серве что и со стима играл.
Все установилось, но, при запуске появляется окошко в диспетчере, с надписью запуск приложения WINE.
Сначала что то думает, потом окно просто пропадает. И так пропадает каждый раз после запуска.
Указанные выше библиотеки установил, не помогает.
У кого есть мысли?

0
DarkneSS - 26 Март, 2014 - 20:21
Изображение пользователя DarkneSS.

Запустить из терминала. Если вайн, то wine /путь/к/игре/чота.exe

0
ValeryK - 27 Март, 2014 - 08:42

мысль в том, что запускаешь виндовый клиент, раз вайн вызывается. со стима же будет линуксовая версия, протестированная и рабочая.
я так понимаю ты лицензию на эту игру в стиме не покупал? Иначе бы лицензия равнозначно работатла бы что под виндой, что под линуксом. лишь бы твой аккаунт был.

0
Powered_by_AMD - 27 Март, 2014 - 09:20

Лицензия куплена мной в стиме, и установлена на комп с 7кой.
Просто хочу убедиться перед сносом лицензии.

0
ValeryK - 27 Март, 2014 - 10:12

ее не надо сносить, ставь клиент под линукс, логинься и скачивай прямо с клиента софт. у меня стим на 2-х компах стоит, никто слова не сказал.
Вот прямо счас на кубунту на работе поставил стим, открылись в библиотеке все мои купленые игры, нажал установить для проверки на World of Goo, скачивается. никакого сноса нигде не требуется.
P.S. Установилась, работает.

0
ozim - 31 Март, 2014 - 10:58

да, можно хоть на 100 компов ставить, правда, одновременном запустить 2 стима не получится, только если в оффлайн режиме.

0
RA9OAJ - 2 Апрель, 2014 - 17:55
Изображение пользователя RA9OAJ.

Купил, не не играю - жду, когда запилят чаров женского пола...

0
jespl - 2 Апрель, 2014 - 19:46
Изображение пользователя jespl.

Приветствую!
Есть такой трабл, не пашет русский язык в чате
Много гуглил - не помогло...
Есть соображения?

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры